Available in Classic and VPC
Delete a department.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| DELETE | /ncloudmcc/v1/companies/{companyId}/depts/{externalKey} |
Request headers
For information about the headers common to all Media Connect Center APIs, see Media Connect Center request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
companyId |
String | Required | Integration key
|
externalKey |
String | Required | Department external key
|
Request example
The request example is as follows:
curl --location --request DELETE 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/depts/hg-tw-dd' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'x-ncp-region_code: KR' \
--header 'Content-Type: application/json'
Response
This section describes the response format.
Response status codes
For information about the HTTP status codes common to all Media Connect Center APIs, see Media Connect Center response status codes.
Response example
If the response is successful, the department is deleted along with the message 200 OK.